import logging
import os
from news_data_collector import update_news_data
from stock_data_collector import collect_condition_data
import sys


# 필요한 경우 경로 설정 추가
project_root = os.path.abspath(os.path.join(os.path.dirname(__file__), '..', '..'))
sys.path.append(project_root)

from stock_data_collector import collect_condition_data

def collect_all_data():
    # 함수 구현
    pass

logging.basicConfig(level=logging.INFO)

def collect_all_data():
    logging.info("Starting data collection...")

    # 뉴스 데이터 수집
    logging.info("Collecting news data...")
    news_data = update_news_data()
    logging.info("News data collection complete.")

    # 주식 데이터 수집
    logging.info("Collecting stock data...")
    collect_condition_data()
    logging.info("Stock data collection complete.")
    
    return news_data

if __name__ == "__main__":
    logging.info("Creating data directory if it doesn't exist...")
    # 데이터 디렉토리 생성
    data_dir = 'data'
    os.makedirs(data_dir, exist_ok=True)

    logging.info("Starting data collection process...")
    all_data = collect_all_data()
    news_data_path = os.path.join(data_dir, 'news_data.csv')

    logging.info(f"Saving news data to {news_data_path}...")
    all_data.to_csv(news_data_path, index=False)
    logging.info(f"News data updated and saved to {news_data_path}")
    print(f"News data updated and saved to {news_data_path}")
